package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabHandoverStaff;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface HandoverStaffMapper {
    /**
     */
    int deleteByPrimaryKey(String handoverStaffId);

    /**
     */
    int insert(TabHandoverStaff record);

    /**
     */
    int insertSelective(TabHandoverStaff record);

    /**
     */
    TabHandoverStaff selectByPrimaryKey(String handoverStaffId);

    /**
     */
    int updateByPrimaryKeySelective(TabHandoverStaff record);

    /**
     */
    int updateByPrimaryKey(TabHandoverStaff record);


    /**
     */
    TabHandoverStaff getByStaffId(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("staffId") String staffId);

    /**
     * 获取待分配列表
     *
     * @param wxEnterpriseId
     * @param storeId
     * @return
     */
    List<TabHandoverStaff> listByStoreId(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("storeId") String storeId);

    /**
     * 获取待分配列表
     *
     * @param wxEnterpriseId
     * @return
     */
    List<TabHandoverStaff> listByWxEnterpriseId(@Param("wxEnterpriseId") String wxEnterpriseId);


    /**
     * 删除用户
     */
    int delByUserIds(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("userIds") List<String> userIds);
}